## puredata 0.38.4+amidi

=== portmidi_osx/Makefile ===
CC	= cc
CFLAGS	= -Wmost
LDFLAGS = -framework Carbon -framework CoreMIDI
OBJS	= ptdarwin.o pmutil.o pmmacosx.o pmdarwin.o portmidi.o
LIBS	=

all: libportmidi.a pmtest

libportmidi.a: portmidi.h porttime.h pminternal.h $(OBJS)
	rm -f libportmidi.a
	ar rv libportmidi.a $(OBJS)
	ranlib libportmidi.a	

pmtest: pmtest.c libportmidi.a
	$(CC) $(CFLAGS) pmtest.c $(OBJS) -o pmtest $(LDFLAGS) $(LIBS)

pmmacosx.o: pmmacosx.c portmidi.h pminternal.h pmmacosx.h porttime.h
pmdarwin.o: pmdarwin.c portmidi.h pmmacosx.h
pmutil.o: pmutil.c portmidi.h pmutil.h pminternal.h
portmidi.o: portmidi.c portmidi.h pminternal.h
ptdarwin.o: ptdarwin.c porttime.h portmidi.h

clean:
	rm -f pmtest *.o

## puredata 0.42.6

=== debian/changelog ===
puredata (0.42.6-2) unstable; urgency=low

  [IOhannes m zmölnig]
  * fixed pdgui path evaluation (Closes:#596780)
  * added patch descriptions
  * bumped standards to 3.9.1
  * add missing extra abstractions (closes: #600209)

  [Paul Brossier]
  * review and add missing changelog entry

 -- Paul Brossier <piem@debian.org>  Thu, 04 Nov 2010 00:02:51 +0100

puredata (0.42.6-1) unstable; urgency=low

  * New upstream release
  * bumped standards version to 3.8.4
  * converted source format to "3.0 (quilt)"
  * explicit enumeration of manpages

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 23 Apr 2010 20:58:31 +0200

puredata (0.42.5-3) unstable; urgency=low

  * debian/control:
    - add community site to homepage field
    - improve long description
    - remove Replaces and Conflicts fields
    - add Suggests on pd-csound, pd-pdp, pd-zexy, pd-aubio
  * debian/rules: add per-arch configuration flags
  * debian/patches/02_kfreebsd.diff:
    - also define pd_tilde_dllextent on FreeBSD
    - fix typo (really closing #414414 this time)
    - also add hurd glue
  * debian/patches/04_hurd.diff:
    - add hurd glue and s_midi_dummy.c

 -- Paul Brossier <piem@debian.org>  Tue, 22 Dec 2009 21:29:31 +0100

puredata (0.42.5-2) unstable; urgency=low

  [Paul Brossier]
  * debian/control: add Build-Depends on quilt
  * debian/rules: pass --with quilt to dh
  * debian/README.source: add reference to quilt documentation
  * debian/patches/01_big_endian.diff: fix FTBFS on big endian machines
  * debian/control: add Vcs-Git and Vcs-Browser fields
  * debian/watch: bump to version 3, add uversionmangle

  [IOhannes m Zmölnig]
  * debian/patches/02_kfreebsd.diff: added patch for kfreebsd (closes: #414414)
  * debian/patches/03_nostrip.diff: do not strip externals (closes: #437833)

 -- Paul Brossier <piem@debian.org>  Sun, 13 Dec 2009 22:56:41 +0100

puredata (0.42.5-1) unstable; urgency=low

  * New upstream release (closes: #473763, #458287, #349314)
  * Adopt package (closes: #547030)
  * Drop Build-Depends on libjack100.0-dev (closes: #527427)
  * Package ships m_pd.h since 1999 (closes: #405488)
  * debian/rules: switch from cdbs to debhelper
  * debian/compat: bump to 7
  * debian/puredata.preinst: remove all ancient doc locations
  * debian/control: span Build-Depends on multiple lines
  * debian/control: bump Standards-Version
  * debian/control: bump to tcl/tk 8.5
  * debian/control: add ${misc:Depends}
  * debian/install: updated doc/4 location
  * debian/docs: move most documentation to /usr/share/doc/puredata
    except 5.reference for now
  * debian/rules: do not compress .pd, .wav, .aiff and .txt files
  * debian/puredata.desktop: remove obsolete encoding
  * debian/doc-base.puredata: remove top section Apps
  * debian/copyright: detail of different files
  * debian/rules: fix pd.tk permissions in dh_fixperms
  * debian/puredata.xpm: transparent background
  * debian/links: add link from puredata to pd

 -- Paul Brossier <piem@debian.org>  Thu, 10 Dec 2009 06:32:59 +0100

puredata (0.41.4-1) unstable; urgency=low

  * New upstream version
  * Minimal changes in the README.Debian file

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 21 Jul 2008 11:00:16 +0200

puredata (0.41.0-2) unstable; urgency=low

  * First 0.41 upload to unstable

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 08 Feb 2008 12:00:47 +0100

puredata (0.41.0-1) experimental; urgency=low

  * New upstream release

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 07 Feb 2008 17:38:40 +0100

puredata (0.40.0~test05-1) experimental; urgency=low

  * New upstream version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 25 Aug 2006 17:11:52 +0200

puredata (0.40.0~test04-1) experimental; urgency=low

  * New upstream version
  * removed empty 64_bit_arrays patch
  * removed fix_s_stuff_include.patch
  * build depends conditionally on libasound2-dev

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 24 Aug 2006 11:53:48 +0200

puredata (0.40.0~test03-1) experimental; urgency=low

  * New upstream version
  * added debhelper token to preinst

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 23 Aug 2006 12:23:00 +0200

puredata (0.39.2-3) unstable; urgency=low

  * Added 64bit.patch, deals with problems on 64 bit architectures and
    arrays

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue,  1 Aug 2006 18:52:19 +0200

puredata (0.39.2-2) unstable; urgency=low

  * Added desktop file  (thanks to Emmet Hkory)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 29 Mar 2006 16:43:59 +0200

puredata (0.39.2-1) unstable; urgency=low

  * New upstream version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 13 Dec 2005 16:11:21 +0100

puredata (0.39.1-1) unstable; urgency=low

  * New upstream version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 14 Nov 2005 12:27:12 +0100

puredata (0.39.0test4) unstable; urgency=low

  * New upstream version
  * Added libjack-dev as build option (backporting)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed,  2 Nov 2005 17:42:39 +0100

puredata (0.38.4+amidi-4) unstable; urgency=low

  * recompile with new JACK API (closes: #317214)
  * Fixed wrong path to html docs in manual (closes: #301689)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri,  8 Jul 2005 11:02:23 +0200

puredata (0.38.4+amidi-3) unstable; urgency=low

  * Incorporated mlock fix for 2.6 kernels
  * moved allocation/deallocation out of midi poll() call for ALSA (this 
    cause problems on 2.6 kernel series when using -rt)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri,  8 Apr 2005 16:21:52 +0200

puredata (0.38.4+amidi-2) unstable; urgency=low

  * Fixed -nomidi behaviour

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri,  8 Apr 2005 16:11:29 +0200

puredata (0.38.4+amidi-1) unstable; urgency=low

  * New upstream version
  * Cleaned up ALSA midi patch
  * Added icon (closes: #299411)



=== debian/control ===
Source: puredata
Section: sound
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Uploaders: Guenter Geiger (Debian/GNU) <geiger@debian.org>,
           IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
Build-Depends: debhelper (>= 7.0.50~),
               quilt (>= 0.46-7~),
               tcl8.5-dev,
               tk8.5-dev,
               libasound2-dev  [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
               libjack-dev
Standards-Version: 3.9.1
Homepage: http://puredata.info
Vcs-Git: git://git.debian.org/collab-maint/puredata.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/puredata.git;a=summary

Package: puredata
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: pd
Recommends: gem
Suggests: pd-csound, pd-pdp, pd-zexy, pd-aubio
Description: realtime computer music and graphics system 
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing. Pd's audio functions are built-in;
 graphical computations require separate packages such as gem (Graphics
 Environment for Multimedia) or pd-pdp (Pd Packet).

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./" \
  http://crca.ucsd.edu/~msp/Software/pd-(.*).src.tar.gz

## puredata 0.43.0

=== debian/changelog ===
puredata (0.43.0-4) unstable; urgency=low

  [ Paul Brossier ]
  * debian/control: puredata-dev to section libdevel

  [ IOhannes m zmölnig ]
  * make ALSA the default API on linux
  * make meta-package depend on "puredata-dev"
  * no need for "puredata-dev" to depend on "puredata"
  * make "puredata-doc" install into /usr/(lib|share)/puredata
  * .menu needs both puredata-core and puredata-gui

 -- Paul Brossier <piem@debian.org>  Wed, 15 Jun 2011 16:47:06 -0200

puredata (0.43.0-3) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * debian/patches/kfreebsd_fixes.patch: kFreeBSD build fixes
  * debian/rules: simplified arch-dependent build-depends
  * debian/rules: use dh_auto_configure, distinguish between linux/non-linux
  * debian/patches/audio_oss_cleanup.patch: cleanup ifdef logic in
    s_audio_oss.c
  * debian/patches/hurd_fixes.patch: fix hurd compilation
  * debian/patches/series: updated
  * debian/rules: link with --as-needed
  * debian/patches/clean_helpbrowser.patch: cleanup helpbrowser to show files
    after directories
  * forwarded patches to upstream
  * debian/changelog: shortened changelog-lines to keep lintian happy
  * debian/control: Conflict with older versions of puredata (Closes: #625663)

  [ Paul Brossier ]
  * debian/changelog: write changelog, build and upload package.

 -- Paul Brossier <piem@debian.org>  Wed, 11 May 2011 01:03:01 +0200

puredata (0.43.0-2) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * debian/rules: only apply package-specific overrides, 
    if the package is built

  [ Paul Brossier ]
  * debian/patches/usercflags.patch: make sure user cflags are passed 
    after default ones
  * debian/source/local-options: add unapply-patches option

 -- Paul Brossier <piem@debian.org>  Wed, 04 May 2011 02:35:41 +0200

puredata (0.43.0-1) unstable; urgency=low

  [IOhannes m zmölnig]
  * New upstream release
    - new upstream includes most debian/patches
  * Split puredata into several packages:
    - puredata-core : binary
    - puredata-gui  : user interface
    - puredata-dev  : development files (headers)
    - puredata-extra: externals
    - puredata-utils: pd-related applications
    - puredata      : meta-package depending on all of the above
    This allows one to install only a minimal set of puredata (e.g. you don't
    need the gui (which pulls in X) if you are running on a headless machine);
    It also allows one to install the infrastructure for building plugins
    (puredata-dev) with minimal dependencies (closes: #568770)
  * Install as "puredata" rather than "pd"
    - this allows for various flavours of Pd to co-exist (e.g. puredata and
      pd-extended)
    - /usr/bin/pd is made available via update-alternatives
  * Fix debian/watch so beta-releases are not reported as more up-to-date than
    final releases

  [Paul Brossier]
  * Review packages and bump standards version to 3.9.2, thanks to IOhannes

 -- Paul Brossier <piem@debian.org>  Mon, 02 May 2011 21:19:17 +0200

=== debian/control ===
Source: puredata
Section: sound
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Uploaders: Guenter Geiger (Debian/GNU) <geiger@debian.org>,
           IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 gettext,
 libasound2-dev [linux-any],
 libjack-dev
Standards-Version: 3.9.2
Homepage: http://puredata.info
Vcs-Git: git://git.debian.org/collab-maint/puredata.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/puredata.git;a=summary

Package: puredata
Architecture: all
Depends: ${misc:Depends},
 puredata-core,
 puredata-gui,
 puredata-doc,
 puredata-extra,
 puredata-utils,
 puredata-dev
Provides: pd
Recommends: gem
Suggests: pd-csound, pd-pdp, pd-zexy, pd-aubio
Description: realtime computer music and graphics system 
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing. Pd's audio functions are built-in;
 graphical computations require separate packages such as gem (Graphics
 Environment for Multimedia) or pd-pdp (Pd Packet).

Package: puredata-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: pd
Recommends: gem
Suggests: pd-csound, pd-pdp, pd-zexy, pd-aubio
Replaces: puredata (<< 0.43)
Breaks: puredata (<< 0.43)
Description: realtime computer music and graphics system - core components
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing. Pd's audio functions are built-in;
 .
 This package only provides the core infrastructure. Most likely you will want
 to install the puredata-gui as well

Package: puredata-gui
Architecture: all
Depends: ${misc:Depends},
 tk (>=8.4),
 tcl8.5 | tclsh
Recommends: puredata 
Replaces: puredata (<< 0.43)
Breaks: puredata (<< 0.43)
Description: realtime computer music and graphics system - GUI
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing. Pd's audio functions are built-in;
 graphical computations require separate packages such as gem (Graphics
 Environment for Multimedia) or pd-pdp (Pd Packet).
 .
 This package provides the graphical user-interface for Pure Data.
 Most likely you will want to install "puredata-core" (or even "puredata")
 as well.

Package: puredata-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: puredata 
Replaces: puredata (<< 0.43)
Breaks: puredata (<< 0.43)
Description: realtime computer music and graphics system - documentation
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing. Pd's audio functions are built-in;
 graphical computations require separate packages such as gem (Graphics
 Environment for Multimedia) or pd-pdp (Pd Packet).
 .
 This package provides the documentation for Pure Data.
 Most likely you will want to install "puredata" as well.


Package: puredata-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Description: realtime computer music and graphics system - development files
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing. Pd's audio functions are built-in;
 graphical computations require separate packages such as gem (Graphics
 Environment for Multimedia) or pd-pdp (Pd Packet).
 .
 This package provides the header-files for compiling externals (plugins) for
 puredata.

Package: puredata-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: pd-utils
Replaces: puredata (<< 0.43)
Breaks: puredata (<< 0.43)
Description: realtime computer music and graphics system - utility programs
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing. Pd's audio functions are built-in;
 graphical computations require separate packages such as gem (Graphics
 Environment for Multimedia) or pd-pdp (Pd Packet).
 .
 This package provides utility applications for puredata, namely pdsend and
 pdreceive, for sending and rceiving FUDI over the net.

Package: puredata-extra
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata-core (= ${binary:Version})
Description: realtime computer music and graphics system - extra files
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing. Pd's audio functions are built-in;
 graphical computations require separate packages such as gem (Graphics
 Environment for Multimedia) or pd-pdp (Pd Packet).
 .
 This package provides extra objects that come with Pd, e.g. for signal
 analysis (fiddle~, sigmund~, bonk~), expression evaluation (expr~) and more

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

archconfflags := 

ifeq ($(DEB_HOST_ARCH_OS),linux)
  archconfflags += --enable-alsa
else
  archconfflags += --disable-alsa
endif
archconfflags += --enable-jack


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with autoreconf $@

override_dh_autoreconf:
	mkdir -p m4/generated
	dh_autoreconf

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -- --program-transform-name='s/pd$$/puredata/' $(archconfflags)

override_dh_install:
	dh_install -X "*.la" -X "LICENSE.txt"

override_dh_installchangelogs:
	dh_installchangelogs src/CHANGELOG.txt

override_dh_fixperms:
	dh_fixperms
ifneq (,$(findstring puredata-extra, $(shell dh_listpackages)))
	find debian/puredata-extra/ -type f -name "*.pd_linux" -exec \
		chmod 0644 {} +
endif
ifneq (,$(findstring puredata-gui, $(shell dh_listpackages)))
	find debian/puredata-gui/ -type f -name "pkg_mkIndex.tcl" -exec \
		chmod 0755 {} +
endif

override_dh_shlibdeps: 
	dh_shlibdeps
ifneq (,$(findstring puredata-extra, $(shell dh_listpackages)))
	find debian/puredata-extra/ -type f -name "*.pd_linux" -exec \
		dpkg-shlibdeps -Tdebian/puredata-extra.substvars {} +
endif

override_dh_strip:
	dh_strip
ifneq (,$(findstring puredata-extra, $(shell dh_listpackages)))
	find debian/puredata-extra/ -type f -name "*.pd_linux" -exec \
		strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +
endif

override_dh_compress:
	dh_compress -X.pd -X.wav -X.aiff -X.txt

## puredata 0.43.1

=== debian/changelog ===
puredata (0.43.1-1) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.43.1
  * Adjusted patches to upstream/0.43.1
  * Removed debian/patches/ included in upstream
  * Remove puredata.preinst script (Closes: #639763)
  * Move 7.stuff to puredata-core package (Closes: #645041)
  * Install all patches into /usr/share/puredata
  * Refer to manual in /usr/share/puredata/
  * Move puredata.desktop to puredata-gui
  * Fixed spelling of "Pure Data" in desktop entry
  * puredata-* breaks/replaces puredata<0.43
  * puredata-gui now breaks/replaces older puredata-core
  * puredata-core now breaks/replaces older puredata-doc
  * puredata-core.preinst script to smooth upgrade
  * Remove recommends/suggests from "puredata-core" (Closes: #652269)
  * Shortened descriptions of sub-packages

  [ Paul Brossier ]
  * Rebuild and upload package, kudus to IOhannes

 -- Paul Brossier <piem@debian.org>  Fri, 06 Jan 2012 18:30:47 -0800

=== debian/control ===
Source: puredata
Section: sound
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Uploaders: Guenter Geiger (Debian/GNU) <geiger@debian.org>,
           IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 gettext,
 libasound2-dev [linux-any],
 libjack-dev
Standards-Version: 3.9.2
Homepage: http://puredata.info
Vcs-Git: git://git.debian.org/collab-maint/puredata.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/puredata.git;a=summary

Package: puredata
Architecture: all
Depends: ${misc:Depends},
 puredata-core,
 puredata-gui,
 puredata-doc,
 puredata-extra,
 puredata-utils,
 puredata-dev
Provides: pd
Recommends: gem
Suggests: pd-csound, pd-pdp, pd-zexy, pd-aubio
Description: realtime computer music and graphics system
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing. Pd's audio functions are built-in;
 graphical computations require separate packages such as gem (Graphics
 Environment for Multimedia) or pd-pdp (Pd Packet).

Package: puredata-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: pd
Replaces: puredata (<< 0.43), puredata-doc (<< 0.43.0-5)
Breaks: puredata (<< 0.43), puredata-doc (<< 0.43.0-5)
Description: realtime computer music and graphics system - core components
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package only provides the core infrastructure. Most likely you will want
 to install the puredata-gui as well

Package: puredata-gui
Architecture: all
Depends: ${misc:Depends},
 tk (>=8.4),
 tcl8.5 | tclsh
Recommends: puredata
Replaces: puredata (<< 0.43),
 puredata-core (<< 0.43.0-5)
Breaks: puredata (<< 0.43),
 puredata-core (<< 0.43.0-5)
Description: realtime computer music and graphics system - GUI
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides the graphical user-interface for Pure Data.
 Most likely you will want to install "puredata-core" (or even "puredata")
 as well.

Package: puredata-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: puredata
Replaces: puredata (<< 0.43)
Breaks: puredata (<< 0.43)
Description: realtime computer music and graphics system - documentation
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides the documentation for Pure Data.
 Most likely you will want to install "puredata" as well.


Package: puredata-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Replaces: puredata (<< 0.43)
Breaks: puredata (<< 0.43)
Description: realtime computer music and graphics system - development files
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides the header-files for compiling externals (plugins) for
 puredata.

Package: puredata-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: pd-utils
Replaces: puredata (<< 0.43)
Breaks: puredata (<< 0.43)
Description: realtime computer music and graphics system - utility programs
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides utility applications for puredata, namely pdsend and
 pdreceive, for sending and rceiving FUDI over the net.

Package: puredata-extra
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata-core (>= ${source:Version}), puredata-core (<< ${source:Upstream-Version}+1~)
Replaces: puredata (<< 0.43)
Breaks: puredata (<< 0.43)
Description: realtime computer music and graphics system - extra files
 Pure Data (also known as Pd) is a real-time graphical programming environment
 for audio and graphics processing.
 .
 This package provides extra objects that come with Pd, e.g. for signal
 analysis (fiddle~, sigmund~, bonk~), expression evaluation (expr~) and more

## puredata 0.43.2

=== debian/changelog ===
puredata (0.43.2-5) unstable; urgency=low

  * Disabled FORTIFY_SOURCE for now (Closes: #690410)
  * Added lintian-overrides due to FORTIFY_SOURCE removal

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Mon, 04 Mar 2013 18:05:15 +0100

puredata (0.43.2-4) unstable; urgency=low

  * Fixed out-of-bounds table access (Closes: #678306)

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Thu, 21 Jun 2012 09:27:29 +0200

puredata (0.43.2-3) unstable; urgency=low

  [ IOhannes m zmoelnig ]
  * Fixed path to some objects in extra/ (Closes: #669929)
  * Fixes for UTF-8 code (invalid memory accesses,...)
  * Prevent printing of extra linefeeds for errors,..
  * Enable hardening flags

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Mon, 11 Jun 2012 11:52:47 +0200

puredata (0.43.2-2) unstable; urgency=low

  * kFreeBSD endianness fixes (Closes: #668773)

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Sat, 14 Apr 2012 21:03:40 +0200

puredata (0.43.2-1) unstable; urgency=low

  * New upstream release
  * src/d_soundfile.c: Fixing type-punning (Closes: #658074)
  * "pd" is provided by "puredata-core" rather than
    "puredata" (Closes: #652383)
  * [expr~] is now released under the LGPL
  * Updated patches to new upstream release
  * Bumped standards version to 3.9.3

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Tue, 03 Apr 2012 13:42:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
            IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
 Build-Depends: debhelper (>= 7.0.50~),
  dh-autoreconf,
+ dpkg-dev (>= 1.16.1~),
  gettext,
  libasound2-dev [linux-any],
  libjack-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://puredata.info
 Vcs-Git: git://git.debian.org/collab-maint/puredata.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/puredata.git;a=summary
@@ -23,7 +24,6 @@
  puredata-extra,
  puredata-utils,
  puredata-dev
-Provides: pd
 Recommends: gem
 Suggests: pd-csound, pd-pdp, pd-zexy, pd-aubio
 Description: realtime computer music and graphics system

## puredata 0.44.3

=== debian/changelog ===
puredata (0.44.3-1) unstable; urgency=low

  * New upstream release.

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.44.3
  * Adjusted debian/patches to new upstream
  * Bumped standards version to 3.9.4
  * Fixed misspellings in binaries
  * Vcs-* fields should point to anonscm.debian.org
  * Added keywords to the desktop file
  * Use the system's port{audio,midi} libs

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Thu, 16 May 2013 16:47:19 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,13 @@
  dpkg-dev (>= 1.16.1~),
  gettext,
  libasound2-dev [linux-any],
+ portaudio19-dev,
+ libportmidi-dev,
  libjack-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://puredata.info
-Vcs-Git: git://git.debian.org/collab-maint/puredata.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/puredata.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/puredata.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/puredata.git;a=summary
 
 Package: puredata
 Architecture: all

## puredata 0.45.4

=== debian/changelog ===
puredata (0.45.4-1) unstable; urgency=medium

  * Imported Upstream version 0.45.4
  * Updated patches to new upstream
  * debian/gbp.conf: sign tags by default
  * Switch to copyright-format/1.0
  * Bumped Standards-Version to 3.9.5

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Wed, 11 Dec 2013 12:18:53 +0100

puredata (0.45.3-2) unstable; urgency=low

  * Made stdlib/stdpath search all 'standard' paths

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Fri, 08 Nov 2013 16:52:17 +0100

puredata (0.45.3-1) unstable; urgency=low

  * New upstream release.

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.45.3
  * Drop Build-Dependency on portmidi
    * portmidi does not exist on non-linux
    * portmidi is not used anyhow
  * Fixed typo in package description (Closes: #725472)
  * Fixed my Uploaders name
  * Adjusted debian/patches to new upstream
    * Added helper-script for updating volatile patches

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Mon, 07 Oct 2013 15:11:56 +0200

puredata (0.45.1-1) unstable; urgency=low

  * New upstream release.

  [ IOhannes m zmoelnig ]
  * Imported Upstream version 0.45.1
  * Adjusted debian/patches to new upstream
    * Refreshed patches
    * Removed patches included Upstream

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Thu, 29 Aug 2013 09:44:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: Paul Brossier <piem@debian.org>
 Uploaders: Guenter Geiger (Debian/GNU) <geiger@debian.org>,
-           IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
+           IOhannes m zmölnig <zmoelnig@iem.at>
 Build-Depends: debhelper (>= 7.0.50~),
  dh-autoreconf,
  dpkg-dev (>= 1.16.1~),
  gettext,
  libasound2-dev [linux-any],
  portaudio19-dev,
- libportmidi-dev,
  libjack-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://puredata.info
 Vcs-Git: git://anonscm.debian.org/collab-maint/puredata.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/puredata.git;a=summary
@@ -106,7 +105,7 @@
  for audio and graphics processing.
  .
  This package provides utility applications for puredata, namely pdsend and
- pdreceive, for sending and rceiving FUDI over the net.
+ pdreceive, for sending and receiving FUDI over the net.
 
 Package: puredata-extra
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,18 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+## use hardening some flags
+DPKG_EXPORT_BUILDFLAGS = 1
+DEB_BUILD_MAINT_OPTIONS=hardening=+format,-fortify,+stackprotector,+relro
+export DEB_BUILD_MAINT_OPTIONS
+include /usr/share/dpkg/buildflags.mk
+
+## only link what is needed
 LDFLAGS+=-Wl,--as-needed
 
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-archconfflags := 
+archconfflags :=
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   archconfflags += --enable-alsa
@@ -13,6 +20,10 @@
   archconfflags += --disable-alsa
 endif
 archconfflags += --enable-jack
+
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+  CFLAGS+=-D__BSD_VISIBLE
+endif
 
 
 # Uncomment this to turn on verbose mode.
@@ -45,7 +56,7 @@
 		chmod 0755 {} +
 endif
 
-override_dh_shlibdeps: 
+override_dh_shlibdeps:
 	dh_shlibdeps
 ifneq (,$(findstring puredata-extra, $(shell dh_listpackages)))
 	find debian/puredata-extra/ -type f -name "*.pd_linux" -exec \
@@ -61,4 +72,3 @@
 
 override_dh_compress:
 	dh_compress -X.pd -X.wav -X.aiff -X.txt
-

=== debian/watch ===
# process this file with 'uscan'
version=3
opts="uversionmangle=s/-/./;s/test/~/" \
  http://crca.ucsd.edu/~msp/Software/pd-(.*).src.tar.gz

## puredata 0.45.5

=== debian/changelog ===
puredata (0.45.5-1) unstable; urgency=medium

  * Imported Upstream version 0.45.5

  [ IOhannes m zmölnig ]
  * Updated watch file
  * Refreshed patches
  * Fixed conflicting function declaration (Closes: #751061)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 25 Jun 2014 12:58:15 +0200

puredata (0.45.4-2) unstable; urgency=medium

  * Fixed callback signature for A_GIMME (Closes: #750168)
  * Fixed my Uploader's name

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 04 Jun 2014 14:32:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Paul Brossier <piem@debian.org>
 Uploaders: Guenter Geiger (Debian/GNU) <geiger@debian.org>,
-           IOhannes m zmölnig <zmoelnig@iem.at>
+           IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  dh-autoreconf,
  dpkg-dev (>= 1.16.1~),

## puredata 0.46.2

=== debian/changelog ===
puredata (0.46.2-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.46.2

  * Removed patches applied upstream.
  * Backported build-fix for renamed help-patch.
  * Refreshed patches.
    * Updated patch-updating helper-script.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 18 Oct 2014 09:17:09 +0200

puredata (0.46.1-1) unstable; urgency=medium

  * Imported Upstream version 0.46.1 (Closes: #746544)
  * Fixed startup of gui if HOME is not readable (LP: #1359410)
  * Backported upstream fix for arrays of size 1
  * Added %F to desktop-entry
  * Refreshed patches
  * Bumped standards version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Oct 2014 21:09:11 +0200

puredata (0.46.0-1) unstable; urgency=medium

  * Imported Upstream version 0.46.0

  [ IOhannes m zmölnig ]
  * debian/patches
    * Removed patches applied upstream.
    * Refreshed patches.
    * Fixed format-security errors.
    * Prefixed debian-specific patches with 'debian_'.
  * Fixed pkg-config file.
  * Updated debian/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 29 Aug 2014 13:18:12 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libasound2-dev [linux-any],
  portaudio19-dev,
  libjack-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://puredata.info
 Vcs-Git: git://anonscm.debian.org/collab-maint/puredata.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/puredata.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,8 @@
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -- --program-transform-name='s/pd$$/puredata/' $(archconfflags)
 
 override_dh_install:
+	find debian/tmp -type f -name "pd.pc" -exec \
+		sed -e 's|^Libs: .*|Libs:|' -e 's| -fPIC||' -i {} +
 	dh_install -X "*.la" -X "LICENSE.txt"
 
 override_dh_installchangelogs:

## puredata 0.46.6

=== debian/changelog ===
puredata (0.46.6-2) unstable; urgency=medium

  * Fixed vararg definition on arm64 (Closes: #783828)
    * Thanks to Edmund Grimley Evans.
  * Reproducible builds
    * Patch to NOT use timestamp macros
    * Inject Debian package version instead

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 May 2015 17:34:17 +0200

puredata (0.46.6-1) unstable; urgency=medium

  * Imported Upstream version 0.46.6
    * Removed patches applied upstream
    * Refreshed patches with new upstream.
  * Disabled JACK-autostart (Closes: #748968)
  * Override build-timestamp for reproducible builds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 28 Apr 2015 10:31:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,12 @@
   CFLAGS+=-D__BSD_VISIBLE
 endif
 
+## set timestamp for reproducible builds
+DEBIAN_VERSION=$(shell dpkg-parsechangelog -S VERSION)
+VERSION_CPPFLAGS=-DPD_TEST_VERSION=\\\"Debian-$(DEBIAN_VERSION)\\\"
+CFLAGS+=$(VERSION_CPPFLAGS)
+
+
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -37,7 +43,8 @@
 	dh_autoreconf
 
 override_dh_auto_configure:
-	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_configure -- --program-transform-name='s/pd$$/puredata/' $(archconfflags)
+	dh_auto_configure -- --program-transform-name='s/pd$$/puredata/' $(archconfflags) \
+		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_install:
 	find debian/tmp -type f -name "pd.pc" -exec \

## puredata 0.46.7

=== debian/changelog ===
puredata (0.46.7-3) unstable; urgency=medium

  * Fixed search path for available GUI plugins
        /usr/share/pd-gui/plugins-available

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 17 Feb 2016 21:52:36 +0100

puredata (0.46.7-2) unstable; urgency=medium

  * Search /etc/pd/plugins-enabled for GUI plugins
  * Added helper-script to handle GUI enabling
    * Create manpage for pd-gui-plugin with help2man
  * Updated Vcs-* stanzas
  * Added debian/git-tuneclone.sh script
    * Document its use in debian/README.source
  * Bumped standards-version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 17 Feb 2016 20:53:32 +0100

puredata (0.46.7-1) unstable; urgency=medium

  * Imported Upstream version 0.46.7

  [ IOhannes m zmölnig ]
  * Removed patches applied upstreams
  * Refreshed remaining patches
  * Simplified reproducible timestamp patch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 12 Sep 2015 16:16:29 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
 Build-Depends: debhelper (>= 7.0.50~),
  dh-autoreconf,
  dpkg-dev (>= 1.16.1~),
+ python3,
+ help2man,
  gettext,
  libasound2-dev [linux-any],
  portaudio19-dev,
  libjack-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://puredata.info
-Vcs-Git: git://anonscm.debian.org/collab-maint/puredata.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/puredata.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/puredata.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/puredata.git
 
 Package: puredata
 Architecture: all
@@ -49,6 +51,7 @@
 Package: puredata-gui
 Architecture: all
 Depends: ${misc:Depends},
+ python3,
  tk (>=8.4),
  tcl8.5 | tclsh
 Recommends: puredata

=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,9 @@
 endif
 
 ## set timestamp for reproducible builds
-DEBIAN_VERSION=$(shell dpkg-parsechangelog -S VERSION)
-VERSION_CPPFLAGS=-DPD_TEST_VERSION=\\\"Debian-$(DEBIAN_VERSION)\\\"
-CFLAGS+=$(VERSION_CPPFLAGS)
-
-
+DEB_VERSION:=$(shell dpkg-parsechangelog -SVersion)
+BUILD_DATE:=$(shell date -u -d "$$(dpkg-parsechangelog -SDate)" +"%Y/%m/%d at %H:%M:%S UTC")
+VERSION_CPPFLAGS ="-DPD_TIMESTAMP_STRING='\"compiled for Debian ($(DEB_VERSION)) on $(BUILD_DATE)\"' $(CPPFLAGS)"
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -46,10 +44,20 @@
 	dh_auto_configure -- --program-transform-name='s/pd$$/puredata/' $(archconfflags) \
 		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
+override_dh_auto_build: debian/gui-plugins/pd-gui-plugin.1
+	make CPPFLAGS=$(VERSION_CPPFLAGS)
+
+debian/gui-plugins/pd-gui-plugin.1: debian/gui-plugins/pd-gui-plugin
+	help2man -N -n "enable or disable a Pd GUI plugin" $< > $@
+
 override_dh_install:
 	find debian/tmp -type f -name "pd.pc" -exec \
 		sed -e 's|^Libs: .*|Libs:|' -e 's| -fPIC||' -i {} +
 	dh_install -X "*.la" -X "LICENSE.txt"
+
+override_dh_auto_clean:
+	-rm -f debian/gui-plugins/pd-gui-plugin.1
+	dh_auto_clean
 
 override_dh_installchangelogs:
 	dh_installchangelogs src/CHANGELOG.txt

=== debian/watch ===
# process this file with 'uscan'
version=3
opts="uversionmangle=s/-/./;s/test/~/" \
  http://msp.ucsd.edu/Software/pd-(.*).src.tar.gz

## puredata 0.47.1

=== debian/changelog ===
puredata (0.47.1-3) unstable; urgency=medium

  * Backported upstream fixes
  * puredata:  Suggested multimedia-puredata
  * puredata-core: Recommended puredata-gui
  * puredata-core: Fixed wording of long-description
  * puredata-gui: Added multi-arch hint
  * puredata-extra: Mentioned that expr~ has been moved to puredata-core
  * Simplified Vcs-Browser stanza
  * Bumped d/compat to 9
    * Dropped versioned B-D on debhelper

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 28 Nov 2016 21:56:10 +0100

puredata (0.47.1-2) unstable; urgency=medium

  * Automatically fix pd2puredata patch on import
    * Automatically commit updated pd2puredata patch
  * Mark puredata-dev as Multi-arch:foreign.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #842733)
  * Depend on python3:any

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 31 Oct 2016 21:01:24 +0100

puredata (0.47.1-1) unstable; urgency=medium

  * Imported Upstream version 0.47.1
  * Refreshed patches
  * Removed Günter Geiger from the uploaders-field
  * Fixed typo in pd-gui manpage.
    Thanks to Egor Koshelev

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 19 Jun 2016 20:10:12 +0200

puredata (0.47.0-1) unstable; urgency=medium

  * Imported Upstream version 0.47.0
  * Refreshed patches
  * New patch to fix spelling errors.
  * Fixed more spelling errors
  * Updated d/copyright
  * Dropped "menu"-entry for puredata-core
  * Bumped standards version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 May 2016 11:14:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: sound
 Priority: optional
 Maintainer: Paul Brossier <piem@debian.org>
-Uploaders: Guenter Geiger (Debian/GNU) <geiger@debian.org>,
-           IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Build-Depends: debhelper,
  dh-autoreconf,
  dpkg-dev (>= 1.16.1~),
  python3,
@@ -13,10 +12,10 @@
  libasound2-dev [linux-any],
  portaudio19-dev,
  libjack-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://puredata.info
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/puredata.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/puredata.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/puredata.git
 
 Package: puredata
 Architecture: all
@@ -26,9 +25,14 @@
  puredata-doc,
  puredata-extra,
  puredata-utils,
- puredata-dev
+ puredata-dev,
 Recommends: gem
-Suggests: pd-csound, pd-pdp, pd-zexy, pd-aubio
+Suggests:
+ pd-aubio,
+ pd-csound,
+ pd-pdp,
+ pd-zexy,
+ multimedia-puredata,
 Description: realtime computer music and graphics system
  Pure Data (also known as Pd) is a real-time graphical programming environment
  for audio and graphics processing. Pd's audio functions are built-in;
@@ -38,6 +42,7 @@
 Package: puredata-core
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: puredata-gui
 Provides: pd
 Replaces: puredata (<< 0.43), puredata-doc (<< 0.43.0-5)
 Breaks: puredata (<< 0.43), puredata-doc (<< 0.43.0-5)
@@ -45,13 +50,15 @@
  Pure Data (also known as Pd) is a real-time graphical programming environment
  for audio and graphics processing.
  .
- This package only provides the core infrastructure. Most likely you will want
- to install the puredata-gui as well
+ This package provides only the graphical user-interface for Pure Data.
+ Most likely you will want to install "puredata-gui" (or even "puredata")
+ as well.
 
 Package: puredata-gui
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
- python3,
+ python3:any,
  tk (>=8.4),
  tcl8.5 | tclsh
 Recommends: puredata
@@ -85,6 +92,7 @@
 Package: puredata-dev
 Section: libdevel
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: puredata (<< 0.43)
 Breaks: puredata (<< 0.43)
@@ -122,4 +130,7 @@
  for audio and graphics processing.
  .
  This package provides extra objects that come with Pd, e.g. for signal
- analysis (fiddle~, sigmund~, bonk~), expression evaluation (expr~) and more
+ analysis (fiddle~, sigmund~, bonk~) and more.
+ .
+ The objects for expression evaluation (expr~) have been included into
+ puredata-core, so they are no longer part of this package.

=== debian/rules ===
--- 
+++ 
@@ -34,14 +34,17 @@
 #export DH_VERBOSE=1
 
 %:
-	dh --with autoreconf $@
+	dh $@ --with autoreconf
 
 override_dh_autoreconf:
 	mkdir -p m4/generated
 	dh_autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --program-transform-name='s/pd$$/puredata/' $(archconfflags) \
+	dh_auto_configure -- \
+		--program-transform-name='s/pd$$/puredata/' \
+		--libdir=/usr/lib/ \
+		$(archconfflags) \
 		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_build: debian/gui-plugins/pd-gui-plugin.1

## puredata 0.48.0

=== debian/changelog ===
puredata (0.48.0-1) unstable; urgency=medium

  * New upstream version 0.48.0

  * Refreshed patches
  * Build with system-wide portaudio
  * More spelling fixes
  * Updated package-description
    * Mentioned "metapackage" in the description of 'puredata'
    * Clarified why puredata-gui can be installed without puredata-gui
      (LP: #1683948)
  * Don't call dpkg-parsechangelog for parsing time & version of package
  * Updated instructions on cloning the package repository
  * Use https:// when possible
  * Updated d/copyright
  * Promoted myself to Maintainer
  * Bumped standards-version to 4.0.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 16 Aug 2017 12:46:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: puredata
 Section: sound
 Priority: optional
-Maintainer: Paul Brossier <piem@debian.org>
-Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Maintainer: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Uploaders: Paul Brossier <piem@debian.org>,
 Build-Depends: debhelper,
  dh-autoreconf,
  dpkg-dev (>= 1.16.1~),
@@ -11,9 +11,9 @@
  gettext,
  libasound2-dev [linux-any],
  portaudio19-dev,
- libjack-dev
-Standards-Version: 3.9.8
-Homepage: http://puredata.info
+ libjack-dev,
+Standards-Version: 4.0.1
+Homepage: https://puredata.info
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/puredata.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/puredata.git
 
@@ -38,10 +38,14 @@
  for audio and graphics processing. Pd's audio functions are built-in;
  graphical computations require separate packages such as gem (Graphics
  Environment for Multimedia) or pd-pdp (Pd Packet).
+ .
+ This is a metapackage that depends on all components of the core of Pd.
 
 Package: puredata-core
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Recommends: puredata-gui
 Provides: pd
 Replaces: puredata (<< 0.43), puredata-doc (<< 0.43.0-5)
@@ -50,7 +54,7 @@
  Pure Data (also known as Pd) is a real-time graphical programming environment
  for audio and graphics processing.
  .
- This package provides only the graphical user-interface for Pure Data.
+ This package only provides the core infrastructure of Pure Data.
  Most likely you will want to install "puredata-gui" (or even "puredata")
  as well.
 
@@ -60,7 +64,7 @@
 Depends: ${misc:Depends},
  python3:any,
  tk (>=8.4),
- tcl8.5 | tclsh
+ tcl8.5 | tclsh,
 Recommends: puredata
 Replaces: puredata (<< 0.43),
  puredata-core (<< 0.43.0-5)
@@ -73,11 +77,14 @@
  This package provides the graphical user-interface for Pure Data.
  Most likely you will want to install "puredata-core" (or even "puredata")
  as well.
+ Installing this package without the accompanying puredata-core is only useful
+ if you want to run the GUI and the DSP on different machines.
 
 Package: puredata-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Recommends: puredata
 Replaces: puredata (<< 0.43)
 Breaks: puredata (<< 0.43)
@@ -93,7 +100,8 @@
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Replaces: puredata (<< 0.43)
 Breaks: puredata (<< 0.43)
 Description: realtime computer music and graphics system - development files
@@ -106,8 +114,9 @@
 Package: puredata-utils
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Provides: pd-utils
 Replaces: puredata (<< 0.43)
 Breaks: puredata (<< 0.43)
@@ -120,9 +129,10 @@
 
 Package: puredata-extra
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
+ ${shlibs:Depends},
  ${misc:Depends},
- puredata-core (>= ${source:Version}), puredata-core (<< ${source:Upstream-Version}+1~)
+ puredata-core (>= ${source:Version}), puredata-core (<< ${source:Upstream-Version}+1~),
 Replaces: puredata (<< 0.43)
 Breaks: puredata (<< 0.43)
 Description: realtime computer music and graphics system - extra files

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 DEB_BUILD_MAINT_OPTIONS=hardening=+format,-fortify,+stackprotector,+relro
 export DEB_BUILD_MAINT_OPTIONS
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/pkg-info.mk
 
 ## only link what is needed
 LDFLAGS+=-Wl,--as-needed
@@ -20,14 +21,19 @@
   archconfflags += --disable-alsa
 endif
 archconfflags += --enable-jack
+archconfflags += --without-local-portaudio --without-local-portmidi
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
   CFLAGS+=-D__BSD_VISIBLE
 endif
 
 ## set timestamp for reproducible builds
-DEB_VERSION:=$(shell dpkg-parsechangelog -SVersion)
-BUILD_DATE:=$(shell date -u -d "$$(dpkg-parsechangelog -SDate)" +"%Y/%m/%d at %H:%M:%S UTC")
+DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
+ifdef SOURCE_DATE_EPOCH
+    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
+else
+    BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
+endif
 VERSION_CPPFLAGS ="-DPD_TIMESTAMP_STRING='\"compiled for Debian ($(DEB_VERSION)) on $(BUILD_DATE)\"' $(CPPFLAGS)"
 
 # Uncomment this to turn on verbose mode.
